---
name: "aiVisualNeedCopyQuery"
mode: "kit"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## aiVisualNeedCopyQuery

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

### Description

Check whether the Vision Box corresponding to stockId has a configuration currently syncing

### Parameters

`Params`

| Parameter | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `params` | `AiVisualNeedCopyQueryParams` | Yes | - | Request body |

### Referenced Types

##### `type` AiVisualNeedCopyQueryParams

| Property | Type | Description |
| --- | --- | --- |
| `stockId` | `string` | Inventory ID |
| `gid` | `string` | Home ID |

##### `enum` SceneType

| Enum Value | Actual Value | Description |
| --- | --- | --- |
| `SceneType.security` | `0` | Security scenario |
| `SceneType.album` | `1` | Gallery scenario |


### Examples

#### Request example

```typescript
import { aiVisualNeedCopyQuery } from '@tuya-miniapp/cloud-api';

aiVisualNeedCopyQuery({ stockId: 'stock-1', gid: '194137' })
  .then((r) => console.log(r))
  .catch(console.error);
```

#### Response example

```json
{ "scenesType": 0, "visionBoxId": 1, "needCopyEvent": false }
```
